relaxngcc.parser

## Class RootParserRuntime

- java.lang.Object
- - relaxngcc.parser.state.NGCCRuntime
  - - relaxngcc.parser.ParserRuntime
    - - relaxngcc.parser.RootParserRuntime

All Implemented Interfaces:
  org.xml.sax.ContentHandler, NGCCEventSource

    public class RootParserRuntime
    extends ParserRuntime

`ParserRuntime` that parses grammars as the root definition.

Author:
  Kohsuke Kawaguchi (kk@kohsuke.org)

### Field Summary

### Fields inherited from class relaxngcc.parser.ParserRuntime

`grammar`

### Constructor Summary

Constructors
Constructor and Description
`RootParserRuntime(Options _options)`

### Method Summary

Methods
`void` `appendGlobalBody(java.lang.String code)`
`void` `appendGlobalImport(java.lang.String code)`
`long` `getGrammarTimestamp()`
`NGCCGrammar` `getResult()` Gets the parsed result, or null if there was any error.
`RootParserRuntime` `getRootRuntime()` Gets the reference to the root runtime.
`void` `startElement(java.lang.String uri, java.lang.String local, java.lang.String qname, org.xml.sax.Attributes atts)`

### Methods inherited from class relaxngcc.parser.ParserRuntime

`addError, createLocator, endElement, getDatatype, getTargetNamespace, iterateErrors, parse, parseSimpleName, processInclude`

### Methods inherited from class relaxngcc.parser.state.NGCCRuntime

`characters, consumeAttribute, endDocument, endPrefixMapping, getAttributeIndex, getCurrentAttributes, getLocator, ignorableWhitespace, onEnterElementConsumed, onLeaveElementConsumed, processingInstruction, processList, redirectSubtree, replace, reset, resolveNamespacePrefix, sendEnterAttribute, sendEnterElement, sendLeaveAttribute, sendLeaveElement, sendText, setDocumentLocator, setRootHandler, skippedEntity, startDocument, startPrefixMapping, trace, traceln`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RootParserRuntime

    public RootParserRuntime(Options _options)

### Method Detail

#### appendGlobalImport

    public void appendGlobalImport(java.lang.String code)

#### appendGlobalBody

    public void appendGlobalBody(java.lang.String code)

#### getGrammarTimestamp

    public long getGrammarTimestamp()

#### getRootRuntime

    public RootParserRuntime getRootRuntime()

Description copied from class: `ParserRuntime`
Gets the reference to the root runtime.

Specified by:
  `getRootRuntime` in class `ParserRuntime`

#### getResult

    public NGCCGrammar getResult()

Gets the parsed result, or null if there was any error.

#### startElement

    public void startElement(java.lang.String uri,
                    java.lang.String local,
                    java.lang.String qname,
                    org.xml.sax.Attributes atts)
                      throws org.xml.sax.SAXException

Specified by:
  `startElement` in interface `org.xml.sax.ContentHandler`
Overrides:
  `startElement` in class `ParserRuntime`
Throws:
  `org.xml.sax.SAXException`